<?php

# @name: search.php
# @version: 0.1
# @creation_date: 2021-09-30
# @license: The MIT License <https://opensource.org/licenses/MIT>
# @author: Simon Bowie <ad7588@coventry.ac.uk>
# @purpose: Searches the Solr index

include '../solr.php';

?>

<?php

  $search_results = solr_search($_POST["search"]);

  //print_r($search_results);

  foreach($search_results as $result):

?>
    Application ID:

    <?php
    echo $result['application_id'];
    ?>

    <br><br>

    EPO publication:

    <a href=<?php echo $result['epo_publication_url']; ?>>
      <?php
      echo $result['epo_publication_url'];
      ?>
    </a>

    <br><br>

    IPC publication:

    <a href=<?php echo $result['ipc_publication_url']; ?>>
      <?php
      echo $result['ipc_publication_url'];
      ?>
    </a>

    <br><br>

    Title:

    <?php
    echo $result['title'];
    ?>

    <br><br>

    <?php
    if ($result['abstract']):
    ?>

    Abstract:

      <?php
      echo $result['abstract'];
      ?>

    <br><br>

    <hr>

    <?
    endif;
    ?>

<?php
  endforeach;
?>
